package xaero.rotatenjump.gui;

import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.graphics.Graphics;
import xaero.rotatenjump.gui.elements.LevelButton;

/**
 * Created by xaero on 10/07/2017.
 */

public class LevelSelect extends ScrollableGui {

    public LevelSelect(){//
        super();
        sizeY = 2500;
    }

    @Override
    public void render(float touchX, float touchY) {
        super.render(touchX, touchY);
        Graphics.color = Graphics.WHITE;
        Graphics.fontRenderer.drawCenteredGUIString("Shuriken", Graphics.getWidth() / 2 + 2, 180 - offset + 2, 2.5f);
        Graphics.color = Graphics.DKGRAY;
        Graphics.fontRenderer.drawCenteredGUIString("Shuriken", Graphics.getWidth() / 2, 180 - offset, 2.5f);
        Graphics.color = Graphics.BG_COLOUR;
        Graphics.fontRenderer.drawCenteredGUIString("Way", Graphics.getWidth() / 2, 320 - offset, 2.5f);
    }

    @Override
    public void init() {
        allButtons.clear();
        allButtons.add(new LevelButton(Level.LEVEL1, 80, 500));
        allButtons.add(new LevelButton(Level.LEVEL2, 320, 500));
        allButtons.add(new LevelButton(Level.LEVEL3, 560, 500));
        allButtons.add(new LevelButton(Level.LEVEL4, 800, 500));
        allButtons.add(new LevelButton(Level.LEVEL5, 80, 740));
        allButtons.add(new LevelButton(Level.LEVEL6, 320, 740));
        allButtons.add(new LevelButton(Level.LEVEL7, 560, 740));
        allButtons.add(new LevelButton(Level.LEVEL8, 800, 740));
        allButtons.add(new LevelButton(Level.LEVELX, 800, 980));
    }

    @Override
    public void onClose() {

    }


}
